/* Multiprocessor "Hello World" program */

#include <stdio.h>
#include <us.h>

long  *  nodecount;

PrintHello (dummy, index)
    int dummy, index;
{   printf ("Index=%d: Hello World from node #%d (= h/w node #%x)\n",
         index, PhysProcToUsProc(Proc_Node), Proc_Node);
    xmatomadd31 (nodecount, -1);
    while (*nodecount != 0) LockWait (0);
}

main ()
{   InitializeUs ();
    nodecount = (long *) UsAlloc (sizeof (short));
    * nodecount = TotalProcsAvailable ();
    printf ("\nThere are %d nodes in this cluster\n\n",
           * nodecount);
    Share (& nodecount);
    GenOnI (PrintHello, * nodecount);

#ifdef PSOS_OS
    m_terminate();
#else
    exit(0);
#endif
}
