/*	@(#)dirent.h	1.1 88/02/04 4.0NFSSRC SMI; from SMI 1.2 87/07/14	*/

#ifndef _DIRENT_H
#define _DIRENT_H

/* 
 * Copyright (c) 1988 by Sun Microsystems, Inc.
 */

/*
 * Filesystem-independent directory information. 
 */

#define	MAXNAMLEN	255

#define d_ino	d_fileno		/* compatability */

/*
 * Definitions for library routines operating on directories.
 */
typedef struct _dirdesc {
	int	dd_fd;			/* file descriptor */
	long	dd_loc;             /* buf offset of entry from last readddir() */
	long	dd_size;		/* amount of valid data in buffer */
	long	dd_bsize;		/* amount of entries read at a time */
	long	dd_off;             	/* Current offset in dir (for telldir) */
	char	*dd_buf;		/* directory data buffer */
} DIR;

#ifndef NULL
#define NULL 0
#endif
extern	DIR *opendir();
extern	struct dirent *readdir();
extern	long telldir();
extern	void seekdir();
#define rewinddir(dirp)	seekdir((dirp), (long)0)
extern	int closedir();

#include <sys/dirent.h>

#endif _DIRENT_H
