/* $Header: icc_errors.h,v 1.1 90/02/20 08:58:06 tdonahue Exp $ */

#ifndef ICC_ERRORS_H
#define ICC_ERRORS_H

#include <error_msg.h>
#include <bbn_errors.h>

ERROR_MSG icc_errors[] = {
  { ICC_EBADICC,	"ICC_EBADICC" },
  { ICC_EINACTIVE,	"ICC_EINACTIVE" },
  { ICC_EMEMORY,	"ICC_EMEMORY" },
  { ICC_EMAPPING,	"ICC_EMAPPING" },
  { ICC_EBUFSIZE,	"ICC_EBUFSIZE" },
  { ICC_ENOBUF,		"ICC_ENOBUF" },
  { ICC_ENOTALIGNED,	"ICC_ENOTALIGNED" },
  { ICC_EBADBUF,	"ICC_EBADBUF" },
  { ICC_EBADADDR,	"ICC_EBADADDR" },
  { ICC_EBADOFFSET,	"ICC_EBADOFFSET" },
  { ICC_EQFULL,		"ICC_EQFULL" },
  { ICC_EQEMPTY,	"ICC_EQEMPTY" },
  { ICC_EWAKEUP,	"ICC_EWAKEUP" },
  { ICC_EMAXPENDING,	"ICC_EMAXPENDING" },
  { ICC_ETIMEOUT,	"ICC_ETIMEOUT" },
  { ICC_ELOCK,		"ICC_ELOCK" },
  { ICC_ERINGBUF,	"ICC_ERINGBUF" },
  { ICC_EATTACHED,	"ICC_EATTACHED" },
  { ICC_EOSERROR,	"ICC_EOSERROR" },
  { ICC_EBADVERSION,	"ICC_EBADVERSION" },
  { 0,			"UNKNOWN ERROR"},
};

#endif ICC_ERRORS_H

