/* $Header: object_errors.h,v 1.1 90/02/20 08:56:16 tdonahue Exp $ */

/*********************************************************************
*                                                                    *
*  SHARED OBJECT ERROR TABLE                                         *
*                                                                    *
*********************************************************************/

#ifndef OBJECT_ERRORS_H
#define OBJECT_ERRORS_H

#include <error_msg.h>
#include <bbn_errors.h>

ERROR_MSG object_errors[] =
    {
    { OBJECT_LOCKED, 		"OBJECT_LOCKED"         },	
    { OBJECT_NOT_LOCKED, 	"OBJECT_NOT_LOCKED"     },	
    { OBJECT_EXISTS, 		"OBJECT_EXISTS"         },
    { OBJECT_DOESNT_EXIST, 	"OBJECT_DOESNT_EXIST"   },
    { OBJECT_WRITE_ERROR, 	"OBJECT_WRITE_ERROR"    },
    { OBJECT_READ_ERROR, 	"OBJECT_READ_ERROR"     },
    { OBJECT_SEEK_ERROR, 	"OBJECT_SEEK_ERROR"     },
    { OBJECT_OPEN_ERROR, 	"OBJECT_OPEN_ERROR"     },
    { OBJECT_CLOSE_ERROR, 	"OBJECT_CLOSE_ERROR"    },
    { OBJECT_UNLINK_ERROR, 	"OBJECT_UNLINK_ERROR"   },
    { OBJECT_MALLOC_ERROR,      "OBJECT_MALLOC_ERROR"   },
    { OBJECT_DIR_ERROR,         "OBJECT_DIR_ERROR"      },
    { 0, 			"unknown error"         }
    };

#endif OBJECT_ERRORS_H
