/* $Header: shmem_errors.h,v 1.1 90/02/20 08:57:02 tdonahue Exp $ */

/*********************************************************************
*                                                                    *
*  SHARED MEMORY ERROR TABLE                                         *
*                                                                    *
*********************************************************************/

#ifndef SHMEM_ERRORS_H
#define SHMEM_ERRORS_H

#include <error_msg.h>
#include <bbn_errors.h>


ERROR_MSG shared_memory_errors[] =
    {
    { SHARED_MEM_IN_USE,        "SHARED_MEM_IN_USE"         },
    { SHARED_MEM_NOT_IN_USE,    "SHARED_MEM_NOT_IN_USE"     },
    { SHARED_MEM_NOT_CREATOR,   "SHARED_MEM_NOT_CREATOR"    },
    { SHARED_MEM_MAX_USERS,     "SHARED_MEM_MAX_USERS"      },
    { SHARED_MEM_BAD_MEM_TYPE,  "SHARED_MEM_BAD_MEM_TYPE"   },
    { SHARED_MEM_OPEN_ERR,      "SHARED_MEM_OPEN_ERR"       },
    { SHARED_MEM_VM_MAPMEM_ERR, "SHARED_MEM_VM_MAPMEM_ERR"  },
    { SHARED_MEM_MALLOC_ERR,    "SHARED_MEM_MALLOC_ERR"     },
    { SHARED_MEM_BAD_DESC,      "SHARED_MEM_BAD_DESC"       },
    { SHARED_MEM_PSOS_MAP_ERR,  "SHARED_MEM_PSOS_MAP_ERR"   },
    { SHARED_MEM_UNINIT_CLUSTER,"SHARED_MEM_UNINIT_CLUSTER" },
    { SHARED_MEM_CLUSTER_CTL_ERR, "SHARED_MEM_CLUSTER_CTL_ERR"},
    { 0 ,                       "unknown error"             }
    };

#endif SHMEM_ERRORS_H
