/*
 * Copyright (c) 1983, 1987 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *    @(#)time.h      1.2 (Berkeley) 3/4/87
 *    @(#)time.h      1.2 88/05/09 4.0NFSSRC SMI
 */

#ifndef _TIME_H
#define _TIME_H

#ifdef _BBN_POSIX_SUPPORT
#include <sys/types.h>
#include <limits.h>

#ifndef NULL
#define NULL 0
#endif
#endif _BBN_POSIX_SUPPORT

/*
 * Structure returned by gmtime and localtime calls (see ctime(3)).
 */
struct tm {
	int	tm_sec;
	int	tm_min;
	int	tm_hour;
	int	tm_mday;
	int	tm_mon;
	int	tm_year;
	int	tm_wday;
	int	tm_yday;
	int	tm_isdst;
	long	tm_gmtoff;
	char	*tm_zone;
};

extern	struct tm *gmtime(), *localtime();
extern	char *asctime(), *ctime();
extern	void tzset(), tzsetwall();

#endif _TIME_H
