/* $Header: /nfs/europa/u1/BFMACH.local/mk/bfly2/RCS/cpu.h,v 1.2 90/07/31 22:06:42 lkaplan Exp $ */
#ifndef _CPU_
#define _CPU_

/* start with BFLY2 specific defines and then get common ones */
#ifdef KERNEL
#define BFLY_TWO  2

/* defines to manipulate physical node number */
#define MIDPLANE_SHIFT	3
#define BAY_SHIFT	6

#define SLOT_MASK	0x7
#define MIDPLANE_MASK   (0x7 << MIDPLANE_SHIFT)
#define BAY_MASK	(0x7 << BAY_SHIFT)

#define	BAYS_PER	8	/* number of bays */
#define	MIDPLANES_PER	8	/* number of midplanes per bay */
#define	SLOTS_PER	8	/* number of slots per midplane */

#endif KERNEL

#ifdef KERNEL
#include	"../bflyc/cpu_c.h"
#else KERNEL
#include	<bflyc/cpu_c.h>
#endif KERNEL
#endif _CPU_
