/* $Header: /nfs/europa/u1/BFMACH.local/mk/bfly2/RCS/fasttraps.h,v 1.9 90/08/08 15:18:41 gibson Exp $ */

/*****************************************************************************
* FAST TRAPS:
*	These are the MC 88100 trap numbers for kernel services that have
*	their own trap number, and bypass the usual system call mechanism.
*
*	They are generally for direct access to BF2 hardware stuff,
*	and are intended to be very fast.
*
*	The handlers are in scb.s.  The
*	user-side library routines are in
*		../usr/src/lib/libc/butterfly-2/fasttraps.c
******************************************************************************/

/*
 *	Functions attached to user-invokable traps.
 *	The traps that are commented out are not accessed through the
 *	fasttrap mechanism.
 */

/*#define	syscall			128*/
/*#define	udb_bkpt		129*/
#define	fasttrap			130
#define	getusecclock			131
#define	get64bitclock			132
#define	getphysaddr			133
#define	getmmuinfo	getphysaddr
#define	getposixclock			134
/*#define	panic_bkpt		135*/
#define	vm_cache_flush			136
#define	vm_codecache_flush		137
#define	mmu_line_flush			138
#define	code_mmu_line_flush		139
#define	btransfer			140
#define	trap10				141
#define klog				142
/*#define user_function			143*/
	/* pSOS compatibility trap */
#define getpaddrinfo			144

	/* NB: 150-170 are reserved for user atomic ops */
#define	u_atomic_call			150
#define	u_atomic_xmem_16		151
#define	u_atomic_cta_8			152
#define	u_atomic_cta_16			153
#define	u_atomic_cta_32			154
#define	u_atomic_cas_32			155
#define	u_atomic_cas2_32		156
#define	u_atomic_ff0_and_set_8		157
#define	u_atomic_ff0_and_set_16		158
#define	u_atomic_ff0_and_set_32		159
#define	u_atomic_ff1_and_clear_8	160
#define	u_atomic_ff1_and_clear_16	161
#define	u_atomic_ff1_and_clear_32	162
