/* $Header: /nfs/gemini/u1/BFMACH.local/mk.gibson/butterflydev/RCS/hpsx.h,v 1.1 90/04/03 12:21:55 gibson Exp $ */

/*****************************************************************************
* This file contains Systech structures that may be exported to user programs
* and may be distributed to customers.
*
* Normal Systech header files are all copyright and cannot be distributed.
* Thus, this file contains duplicate structures for some structures in
* other files.
* 
* htc_checkdefs() contains checks to determine if these duplicated
* structures have gotten out of synch with the originals.
* ANY OF THESE STRUCTURES ADDED HERE SHOULD BE CHECKED IN HTC_CHECKDEFS();
******************************************************************************/
int	htc_checkdefs();	/* For verifying hpsx.h */

/* pseudo htyctlr */
struct htypctlr
{
	struct htypctlr	*htc_next;
	unsigned	junk;		/* hpc */
	unsigned	junk2;		/* htys */
	struct tty	*htc_ttys;	/* array of struct ttys */
	short		htc_nlines;	/* Number of lines */
	short		junk3;		/* htc_flags */
	short		junk4;		/* htc_major */
	short		junk5;		/* htc_iobusid */
	char		htc_init;	/* Device initialized */
};

/* 
 * This structure is a head for all the Systech-related data structures
 * in the system.  It is used by pstat(1), among other places.
 */
struct systech {
	struct htyctlr	*htc_list;
	simple_lock_data_t	syslock;
};
