/*	if_ex.h
 */

/*
 * Structure of statistics record
 */
struct	ex_stats {
	u_long	exs_xmit;	/* Number of Frames Transmitted */
	u_long	exs_xcollis;	/* Number of Excess Collisions */
	u_long	exs_reserved;	/* reserved for future used */
	u_long	exs_tdr;	/* & 0xFFFF = Time Domain Reflectometer */
	u_long	exs_noerr;	/* Number of Error-free frames */
	u_long	exs_align;	/* Number of Alignment Errors */
	u_long	exs_crc;	/* Number of CRC Errors */
	u_long	exs_lost;	/* Number of Times Frames Lost */
};

union	ex_statobjs {
	struct	ex_stats statstruct;	/* for accessing by name */
	u_long	statobjs[8];		/* for accessing by index number */
};
