/* $Header: /nfs/columbia/u1/BFMACH.local/mk.gibson/h/RCS/sys_bbn.h,v 1.7 91/01/03 17:19:17 gibson Exp $ */

/*****************************************************************************
File:     sys_bbn.h
Contents: Opcode and sub-opcode definitions for the sys_bbn system call.
System:   BBNACI Butterfly OS kernel.
Created:  26-Oct-1989
Author:   dswartz

Remarks:  

[And now, a few words from the legal department.]

Copyright 1989 by BBN Advanced Computers Inc.
ALL RIGHTS RESERVED

No part of this material may be reproduced, stored in a retrieval
system, transmitted or used in any form or by any means, electronic,
mechanical, photocopying, recording, or otherwise, without the prior
written permission of, or express license from BBN Advanced Computers Inc.

RESTRICTED RIGHTS LEGEND

Use, duplication, or disclosure by the Government is subject to
restrictions as set forth in subparagraph (c)(1)(ii) of the Rights to
Technical Data and Computer Software clause at DFARS 52.227-7013.

BBN Advanced Computers Inc.
10 Fawcett Street
Cambridge, Ma. 02238
617-873-6000
*****************************************************************************/

#ifndef _SYS_BBN_H_
#define _SYS_BBN_H_


/* sys_bbn opcode definitions */

#ifdef	BFLY2
#define	SET_MISALIGNED_ACCESS_EMULATION			1
#define	GET_MISALIGNED_ACCESS_EMULATION			2
#define	SET_FP_FAULT_MODE				3
#endif	BFLY2

#define	SYS_BBN_UAREA_SET				4
#define	SYS_BBN_UAREA_GET			        5
#define SET_LLNL_JOB_CONTROL_STATE			6
#define GETPROCINFO					7
#define GETPADDRINFO					8
#define	SYS_BBN_GETSYSINFO		       	        9

/* Secondary control word definitions */
#ifdef	BFLY2

#define	DISABLE_MISALIGNED_ACCESS_EMULATION		0
#define	ENABLE_MISALIGNED_ACCESS_EMULATION		1
#define	ENABLE_AND_LOG_MISALIGNED_ACCESS_EMULATION	2

#define	DISABLE_SIGNAL_ALL_FP_FAULTS			0
#define	ENABLE_SIGNAL_ALL_FP_FAULTS			1
#endif	BFLY2

#define SET_LLNL_JOB_CONTROL_OFF			0
#define SET_LLNL_JOB_CONTROL_ON				1

     /* Subcodes for get/set u_area */
#define	SYSTRACE					1
#define	SIGSYNCH_DEFAULT				2
#define	OEM_FEATURE_1_TABLE_ADDRESS			3

     /* Subcodes for get_version_info */
#define	OS_NAME						1
#define	OS_RELEASE					2
#define	OS_VERSION					3
#define	MACHINE						4

/* ----- end of the file... ---------------------------------------------- */

#endif _SYS_BBN_H_
