
#include <stdio.h>
#include <us.h>

#define FALSE   0

int     N, End;
int     * * im, * * an;
int     * row, * row_m1, * row_p1, * row_ans;

InitProblemOnce ()
{   int i, j;
    im=(int * *) UsAllocScatterMatrix (N, N, sizeof(int));
    an=(int * *) UsAllocScatterMatrix (N, N, sizeof(int));
    for (i = 0; i < N; i++)
      for (j = 0; j < N; j++)
          im[i][j] = i % 2;
    Share (& N);
    Share (& im);
    Share (& an);
}
InitforProc (dummy)
    int dummy;
{   End = N - 1;
    row = (int *) malloc (N*sizeof(int));
    row_m1 = (int *) malloc (N*sizeof(int));
    row_p1 = (int *) malloc (N*sizeof(int));
    row_ans = (int *) malloc (N*sizeof(int));
}
DoConvol (dummy ,r)
    int dummy, r;
{   int c;
    if (r & 1)
     r = N-r-2;
    Do_bt (im[r++], row_m1, N*sizeof(int));
    Do_bt (im[r++], row, N*sizeof(int));
    Do_bt (im[r--], row_p1, N*sizeof(int));
    for (c = 1; c < End; c++)
            row_ans[c] =  -row[c-1] + (row[c] << 3) - row[c+1]
                      -row_m1[c-1] - row_m1[c] - row_m1[c+1]
                      -row_p1[c-1] - row_p1[c] - row_p1[c+1];
    Do_bt (row_ans, an[r], N*sizeof(int));
}
FinalforProc ()
{   free (row);
    free (row_m1);
    free (row_p1);
    free (row_ans);
}
Body ()
{   GenOnIFull (InitforProc, DoConvol, FinalforProc, 0, N-2, 0, FALSE);
}
main ()
{   InitializeUs ();
    printf ("\nImage size = ");
#ifdef PSOS_OS
    fflush(stdout);
#endif
    scanf ("%d", &N);
    InitProblemOnce ();
    TimeTest (0, Body, TimeTestPrint);

#ifdef PSOS_OS
    m_terminate();
#else
    exit(0);
#endif
}
