/*
 * Copyright (c) 1986 Carnegie-Mellon University
 */

/*
 *	File:	mach_types.h
 *	Author:	Avadis Tevanian, Jr., Michael Wayne Young
 *
 *	Copyright (C) 1986, Avadis Tevanian, Jr., Michael Wayne Young
 *
 */


#ifndef	_MACH_TYPES_
#define	_MACH_TYPES_	1
#define	_MACH_IF_	1	/* old module name */

#define	EXPORT_BOOLEAN

/*
 *	User-side declarations of valuable Mach types.
 */

#include <sys/boolean.h>
#include <sys/vm.h>
#include <sys/kern_return.h>
#include <sys/port.h>
#include <vm/vm_statistics.h>

typedef	port_t		task_t;
typedef	port_t		thread_t;
typedef	thread_t	*thread_array_t;

typedef	int		task_status_t;
typedef	int		thread_status_t;

typedef	vm_offset_t	pointer_t;
typedef	int		vm_region_t;
typedef	vm_region_t	*vm_region_array_t;

/*
 *	Get things imported from the runtime environment startup.
 */

#include <mach_init.h>

#endif	_MACH_TYPES_
