/******************************************************************************
*									      *
*	File:     mini_stdio.h						      *
*	Author:   Wolfgang Rupprecht					      *
*	Created:  Tue Jan 10 16:22:52 EST 1989				      *
*	Contents: standalone stdio.h 					      *
*									      *
*	Copyright (c) 1988 BBN Advanced Computers Inc.			      *
*	All right reserved.						      *
*									      *
*	$Header: mini_stdio.h,v 1.1 89/09/15 18:17:26 hbowns Exp $
******************************************************************************/

#ifndef _mini_stdio
#define _mini_stdio

#define NULL 0

/*
 * standalone definitions for the FILE type.  NOTE: this is not an _iob[]!!!
 * the only valid I/O is to the console.
 */

#define FILE int
#define stdin (FILE *) 0
#define stdout (FILE *) 0
#define stderr (FILE *) 0

/*
 * EOF was 0x4, or 'Cntrl-D' for a while.  Pseudo-cooked-mode programs worked
 * well with this.  Real "raw-mode" programs (like the menu-sytem) had
 * problems with this, since they wanted to see ^D for the delete command.
 */

#define EOF (-1)

extern FILE    *fopen();

#endif _mini_stdio
