/* $Header: card_types.h,v 1.2 89/11/07 13:59:40 dswartz Exp $ */
/*	card_types.h		
	board identifier definitions for Butterfly II
*/

#ifndef	ASSEMBLER

#define	ACARD_B2SS		'0'	/* switch server */
#define	ACARD_B2SR		'1'	/* switch requestor */
#define	ACARD_B2CLK		'2'	/* clock */
#define	ACARD_B2CB		'3'	/* clock buffer */
#define	ACARD_B2VME4		'4'	/* 4 Meg rev B B2VME	*/
#define	ACARD_B2NFC		'6'	/* null function card */
#define	ACARD_B2VME_A		'7'	/* rev A B2VME */
#define	ACARD_B2VME_B2		'8'	/* 4 Meg rev B B2VME w/high VME */
#define	ACARD_B2SM		'9'	/* middle switch */
#define	ACARD_B2VME_B_16	'A'	/* 16 Meg rev B B2VME w/high VME */
#define	ACARD_B2VME_C_4		'B'	/* 4 Meg  rev C B2VME */
#define	ACARD_B2VME_C_16	'C'	/* 16 Meg rev C B2VME */
#define	ACARD_B2PN_8		'D'	/* 8 Meg  B2PN (20MHz) */
#define	ACARD_B2PN_16		'E'	/* 16 Meg B2PN (20MHz) */
#define	ACARD_B2PN_32		'F'	/* 32 Meg B2PN (20MHz) */
#define	ACARD_B2VME_D_4		'G'	/* 4 Meg  rev D(?)  B2VME (20MHz) */
#define	ACARD_B2VME_D_16	'H'	/* 16 Meg rev D(?) B2VME (20MHz) */
#define	ACARD_TCSS		'I'	/* New TCSS */
#define ACARD_TCSR		'J'	/* New TCSR */
#define ACARD_FPV4_1		'K'	/* 4 Meg TCFPV, 2 CC, 1 DC */
#define ACARD_FPV16_1		'L'	/* 16 Meg TCFPV, 2 CC, 1 DC */
#define	ACARD_FP16_1		'M'	/* 16 Meg TCFP (no VME) 2 CC, 1 DC */

#else
/*	the assembler likes these definitions better	*/

#define	ACARD_B2SS		'0	/* switch server */
#define	ACARD_B2SR		'1	/* switch requestor */
#define	ACARD_B2CLK		'2	/* clock */
#define	ACARD_B2CB		'3	/* clock buffer */
#define	ACARD_B2VME4		'4	/* 4 Meg rev B B2VME	*/
#define	ACARD_B2NFC		'6	/* null function card */
#define	ACARD_B2VME_A		'7	/* rev A B2VME */
#define	ACARD_B2VME_B2		'8	/* 4 Meg rev B B2VME w/high VME */
#define	ACARD_B2SM		'9	/* middle switch */
#define	ACARD_B2VME_B_16	'A	/* 16 Meg rev B B2VME w/high VME */
#define	ACARD_B2VME_C_4		'B	/* 4 Meg  rev C B2VME */
#define	ACARD_B2VME_C_16	'C	/* 16 meg rev C B2VME */
#define	ACARD_B2PN_8		'D	/* 8 Meg  B2PN (20MHz) */
#define	ACARD_B2PN_16		'E	/* 16 Meg B2PN (20MHz) */
#define	ACARD_B2PN_32		'F	/* 32 Meg B2PN (20MHz) */
#define	ACARD_B2VME_D_4		'G	/* 4 Meg  rev D(?) B2VME (20MHz) */
#define	ACARD_B2VME_D_16	'H	/* 16 Meg rev D(?) B2VME (20MHz) */
#define	ACARD_TCSS		'I	/* New TCSS */
#define ACARD_TCSR		'J	/* New TCSR */
#define ACARD_FPV4_1		'K	/* 4 Meg TCFPV, 2 CC, 1 DC */
#define ACARD_FPV16_1		'L	/* 16 Meg TCFPV, 2 CC, 1 DC */
#define	ACARD_FP16_1		'M	/* 16 Meg TCFP (no VME) 2 CC, 1 DC */

#endif

#define	ACARD_FIRST_CARD	ACARD_B2SS
#define ACARD_LAST_CARD		ACARD_FP16_1



