/* $Header: tmac.h,v 1.6 89/02/25 01:43:34 gibson Exp $ */
/*
 ****************************************************************
 * Mach Operating System
 * Copyright (c) 1986 Carnegie-Mellon University
 *  
 * This software was developed by the Mach operating system
 * project at Carnegie-Mellon University's Department of Computer
 * Science. Software contributors as of May 1986 include Mike Accetta, 
 * Robert Baron, William Bolosky, Jonathan Chew, David Golub, 
 * Glenn Marcy, Richard Rashid, Avie Tevanian and Michael Young. 
 * 
 * Some software in these files are derived from sources other
 * than CMU.  Previous copyright and other source notices are
 * preserved below and permission to use such software is
 * dependent on licenses from those institutions.
 * 
 * Permission to use the CMU portion of this software for 
 * any non-commercial research and development purpose is
 * granted with the understanding that appropriate credit
 * will be given to CMU, the Mach project and its authors.
 * The Mach project would appreciate being notified of any
 * modifications and of redistribution of this software so that
 * bug fixes and enhancements may be distributed to users.
 *
 * All other rights are reserved to Carnegie-Mellon University.
 ****************************************************************
 */

/* These macros are used only in locore.  By ifdefing the original
definitions, we will be able to avoid ifdefing their individual
instances in locore.  eg:

*  #if    MACH_TIME
        TS_RTE
*  #else
        rte
*  #endif MACH_TIME

just becomes:

        TS_RTE
*/

#if	MACH_TIME

#define	TIM_PUSHR(nump)	movl	rtc, a7@- NEWLINEXXX \
 		moveml	#0xFFFE, a7@-  NEWLINEXXX \
		btst	#0x20, a7@((15*4)+(4)+(4*nump)-2) NEWLINEXXX \
		bne	98f			NEWLINEXXX \
		movl	#98f, a7@-		NEWLINEXXX \
		movl	upd_utimep, a7@-	NEWLINEXXX \	
		rts				NEWLINEXXX \
98:		nop

#define	TIM(nump)	movl	rtc, a7@- NEWLINEXXX \
 		movl	d0, a7@-
 	        btst	#0x20, a7@((1*4)+(4)+(4*nump)-2) NEWLINEXXX \
 		bne	99f			NEWLINEXXX \
		movl	#99f, a7@-		NEWLINEXXX \
		movl	upd_utimep, a7@-	NEWLINEXXX \	
		rts				NEWLINEXXX \
99:		addql	#4, a7

#define	TSREI_POPR	moveml	a7@+, #0x7FFF NEWLINEXXX \
			addql	#4, a7	NEWLINEXXX \
			movl	ts_exitp, a7@-	NEWLINEXXX \
			rts

#define	TS_RTE		movl	ts_exitp, a7@-	NEWLINEXXX \
			rts

#define	TS_RTEAST	movl	ts_exitpast, a7@-	NEWLINEXXX \
			rts

#define	TS	movl	#97f, a7@-	NEWLINEXXX \
		movl	ts_p, a7@-	NEWLINEXXX \
		rts			NEWLINEXXX \
97:

#else	MACH_TIME

#define	TIM(nump)
#define	TS_RTE	bra _fix_crp_rte
#define	TS_RTEAST	PRERTE NEWLINEXXX \
			bra _fix_crp_rte

#endif  MACH_TIME
