/*
 * subtype fields used only for profiling kernel memory allocator
 * requests
 */
#ifndef _vfs_kmalloctypes_h
#define _vfs_kmalloctype_h
#include "kmalloc.h"

/* Note that the range is chosen to not overlap with NFS subtypes */
#define KM_ST_PATHNAME		0x100
#define KM_ST_CRED		0x200
#define KM_ST_VFS		0x300
#define KM_ST_VFSSTAT		0x400
#define KM_ST_BUFS		0x500
#define KM_ST_MOUNT		0x600
#define KM_ST_FID		0x700
#define KM_ST_FIFONODE		0x800
#define KM_ST_SNODE		0x900
#define KM_ST_FIFOBUF		0xa00
#define KM_ST_VATTR		0xb00

#endif _vfs_kmalloctype_h
